# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nu_plugin_audio_hook"
version = "0.1.2"
authors = ["Motalleb Fallahnezhad <fmotalleb@gmail.com>"]
description = "A nushell plugin to make and play sounds"
homepage = "https://github.com/FMotalleb/nu_plugin_audio_hook"
readme = "README.md"
keywords = [
    "nushell",
    "network",
    "plugin",
]
license = "MIT"
repository = "https://github.com/FMotalleb/nu_plugin_audio_hook"

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
strip = true

[dependencies.id3]
version = "1.9.0"

[dependencies.mp3-duration]
version = "0.1.10"

[dependencies.nu-plugin]
version = "0.86.0"

[dependencies.nu-protocol]
version = "0.86.0"
features = ["plugin"]

[dependencies.rodio]
version = "0.17.3"

[features]
all-decoders = [
    "default",
    "symphonia-all",
]
default = [
    "flac",
    "vorbis",
    "wav",
    "symphonia-mp3",
]
flac = ["rodio/flac"]
minimp3 = ["rodio/minimp3"]
symphonia-aac = ["rodio/symphonia-aac"]
symphonia-all = ["rodio/symphonia-all"]
symphonia-flac = ["rodio/symphonia-flac"]
symphonia-isomp4 = ["rodio/symphonia-isomp4"]
symphonia-mp3 = ["rodio/symphonia-mp3"]
symphonia-vorbis = ["rodio/symphonia-vorbis"]
symphonia-wav = ["rodio/symphonia-wav"]
vorbis = ["rodio/vorbis"]
wav = ["rodio/wav"]
